---
icon: material/new-box
---

!!! question "Since sing-box 1.12.0"

# Service

### Structure

```json
{
  "endpoints": [
    {
      "type": "",
      "tag": ""
    }
  ]
}
```

### Fields

| Type        | Format                   |
|-------------|--------------------------|
| `derp`      | [DERP](./derp)           |

#### tag

The tag of the endpoint.
